# Spiffup
# by Eresse <eresse@eresse.net>

# Internal Includes
require 'spiffup/version'
require 'spiffup/term_color'
require 'spiffup/string_tags'
require 'spiffup/string_color'

# Spiffup Module:
# Root Module for Spiffup.
module Spiffup

	# Disable color:
	# Disables color output (makes everything un-colored).
	def self.disable_color

		# Drop Terminal Colors
		TermColor::COLS.each do |col, _idx|

			# Clear Constants
			remove_const col.upcase
			remove_const "B#{col.upcase}"
			const_set col.upcase, ''
			const_set "B#{col.upcase}", ''

			# Clear String Methods
			String.send(:define_method, col) { self }
			String.send(:define_method, "b#{col}") { self }
		end

		nil
	end
end
