# Spiffup
# by Eresse <eresse@eresse.net>

# Spiffup Module
module Spiffup

	# Term Color Module
	module TermColor

		# Colors
		COLS = {
			black: 0,
			red: 1,
			green: 2,
			brown: 3,
			blue: 4,
			magenta: 5,
			cyan: 6,
			gray: 7
		}

		# Reset
		RST = "\033[0m"

		# Generate Color:
		# Generates a Terminal Color Code for a given color.
		# @param [Fixnum] x The desired color-index
		# @param [Boolean] bold When true, generate bold effect
		# @return [String] A Terminal Color Code
		def self.col x, bold = false
			"\033[#{bold ? 1 : 0};#{30 + x}m"
		end
	end
end
